> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 테이블 업데이트



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /table/update
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /table/update:
    post:
      tags:
        - Tables
      summary: 테이블 업데이트
      operationId: table_update_table_update_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TableUpdateReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableUpdateRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    TableUpdateReq:
      additionalProperties: false
      properties:
        base_digest:
          title: Base Digest
          type: string
        project_id:
          title: Project Id
          type: string
        updates:
          items:
            anyOf:
              - $ref: '#/components/schemas/TableAppendSpec'
              - $ref: '#/components/schemas/TablePopSpec'
              - $ref: '#/components/schemas/TableInsertSpec'
          title: Updates
          type: array
      required:
        - project_id
        - base_digest
        - updates
      title: TableUpdateReq
      type: object
    TableUpdateRes:
      properties:
        digest:
          title: Digest
          type: string
        updated_row_digests:
          description: 업데이트된 행의 다이제스트 목록
          items:
            type: string
          title: Updated Row Digests
          type: array
      required:
        - digest
      title: TableUpdateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TableAppendSpec:
      properties:
        append:
          $ref: '#/components/schemas/TableAppendSpecPayload'
      required:
        - append
      title: TableAppendSpec
      type: object
    TablePopSpec:
      properties:
        pop:
          $ref: '#/components/schemas/TablePopSpecPayload'
      required:
        - pop
      title: TablePopSpec
      type: object
    TableInsertSpec:
      properties:
        insert:
          $ref: '#/components/schemas/TableInsertSpecPayload'
      required:
        - insert
      title: TableInsertSpec
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    TableAppendSpecPayload:
      properties:
        row:
          additionalProperties: true
          title: Row
          type: object
      required:
        - row
      title: TableAppendSpecPayload
      type: object
    TablePopSpecPayload:
      properties:
        index:
          title: Index
          type: integer
      required:
        - index
      title: TablePopSpecPayload
      type: object
    TableInsertSpecPayload:
      properties:
        index:
          title: Index
          type: integer
        row:
          additionalProperties: true
          title: Row
          type: object
      required:
        - index
        - row
      title: TableInsertSpecPayload
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````